lucene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rm...@apache.org
Subject svn commit: r1370532 - in /lucene/dev/nightly: hudson-lucene-4x.sh hudson-lucene-trunk.sh
Date Tue, 07 Aug 2012 21:23:07 GMT
Author: rmuir
Date: Tue Aug  7 21:23:06 2012
New Revision: 1370532

URL: http://svn.apache.org/viewvc?rev=1370532&view=rev
Log:
turn on nightly-smoke task

Modified:
    lucene/dev/nightly/hudson-lucene-4x.sh
    lucene/dev/nightly/hudson-lucene-trunk.sh

Modified: lucene/dev/nightly/hudson-lucene-4x.sh
URL: http://svn.apache.org/viewvc/lucene/dev/nightly/hudson-lucene-4x.sh?rev=1370532&r1=1370531&r2=1370532&view=diff
==============================================================================
--- lucene/dev/nightly/hudson-lucene-4x.sh (original)
+++ lucene/dev/nightly/hudson-lucene-4x.sh Tue Aug  7 21:23:06 2012
@@ -71,5 +71,13 @@ if [ $? = 0 ]; then
   exit 1
 fi
 
+#build an actual release and smoke test it
+set -e
+cd $WORKSPACE/$ROOT_DIR
+$ANT_HOME/bin/ant \
+  -DJAVA6_HOME=/usr/local/openjdk6 \
+  -DJAVA7_HOME=/usr/local/openjdk7 \
+  nightly-smoke
+
 # return the test return value
 exit $RET

Modified: lucene/dev/nightly/hudson-lucene-trunk.sh
URL: http://svn.apache.org/viewvc/lucene/dev/nightly/hudson-lucene-trunk.sh?rev=1370532&r1=1370531&r2=1370532&view=diff
==============================================================================
--- lucene/dev/nightly/hudson-lucene-trunk.sh (original)
+++ lucene/dev/nightly/hudson-lucene-trunk.sh Tue Aug  7 21:23:06 2012
@@ -71,5 +71,13 @@ if [ $? = 0 ]; then
   exit 1
 fi
 
+#build an actual release and smoke test it
+set -e
+cd $WORKSPACE/$ROOT_DIR
+$ANT_HOME/bin/ant \
+  -DJAVA6_HOME=/usr/local/openjdk6 \
+  -DJAVA7_HOME=/usr/local/openjdk7 \
+  nightly-smoke
+
 # return the test return value
 exit $RET



Mime
View raw message